//@ sourceURL=estudioDocInforme.js.js
/*!
 * Copyright 2021 E.J.I.E., S.A.
 *
 * Licencia con arreglo a la EUPL, Versión 1.1 exclusivamente (la "Licencia");
 * Solo podrá usarse esta obra si se respeta la Licencia.
 * Puede obtenerse una copia de la Licencia en
 *
 *      http://ec.europa.eu/idabc/eupl.html
 *
 * Salvo cuando lo exija la legislación aplicable o se acuerde por escrito,
 * el programa distribuido con arreglo a la Licencia se distribuye "TAL CUAL",
 * SIN GARANTÍAS NI CONDICIONES DE NINGÚN TIPO, ni expresas ni implícitas.
 * Véase la Licencia en el idioma concreto que rige los permisos y limitaciones
 * que establece la Licencia.
 */
jQuery(function($){
	if(typeof FN_resultadoEstudio00_onLoad == 'undefined'){
		window.FN_resultadoEstudio00_onLoad = () => {
			if($("#resultadoEstudio00").val() != null && $("#resultadoEstudio00").val()!= undefined){
				$("#resultadoEstudio00").rup_combo("setRupValue",$("#resultadoEstudio00").val());
			}
		}	
	}
	if(typeof FN_resultadoEstudio00_change == 'undefined'){
		window.FN_resultadoEstudio00_change = () => {
			if($("#resultadoEstudio00").val() == estadoDocumentacion11IncompletaVal ){
				//$("#situacioneFinalTarea").rup_combo("setRupValue","");
				//$("#situacioneFinalTarea").rup_combo("disable");
			}else{
				//$("#situacioneFinalTarea").rup_combo("enable");
			}
		}	
	}
	
	if(typeof FN_situacioneFinalTarea_change == 'undefined'){
		window.FN_situacioneFinalTarea_change = () => {
				if($("#situacioneFinalTarea").rup_combo("getRupValue") == situacioneFinalTareaRequerimientoSubsanacionVal ){
					$(".contenedorDatosNegocioEstudioDoc").hide();
					$("#divResolucionRequerimientoSubsanacion").show();			
					Ad74aUtils.resetFormulario("formularioTareaTramite2");	
					Ad74aUtils.resetFormulario("formularioTareaTramite3");				
				}else if($("#situacioneFinalTarea").rup_combo("getRupValue") == situacioneFinalTareaSolicitarInformeVal){
					$(".contenedorDatosNegocioEstudioDoc").hide();
					$("#divResolucionSolicitarInforme").show();	
					Ad74aUtils.resetFormulario("formularioTareaTramite4");	
					Ad74aUtils.resetFormulario("formularioTareaTramite3");
				}else if($("#situacioneFinalTarea").rup_combo("getRupValue") == situacioneFinalTareaNoSolicitarInformeVal){
					$(".contenedorDatosNegocioEstudioDoc").hide();
					$("#divResolucionNoSolicitarInforme").show();
					Ad74aUtils.resetFormulario("formularioTareaTramite4");	
					Ad74aUtils.resetFormulario("formularioTareaTramite2");
				}else{
					$(".contenedorDatosNegocioEstudioDoc").hide();
				}
 	    	   Ad74aUtils.formatoMoneda();
		}	
	}

	
	initRupI18nPromise.then(function() {				
		prepareDataEstudioDoc();		
	});
		

	window.openDialogTramitacion = (refresh) => {  
		
		Ad74aUtils.bloquearInterfaz();  
		
		$('#formularioTareaTramiteComun').rup_form("clearForm");
		$('#formularioTareaTramite1').rup_form("clearForm");
		$('#formularioTareaTramite2').rup_form("clearForm");
		$('#formularioTareaTramite3').rup_form("clearForm");
		$('#formularioTareaTramite4').rup_form("clearForm");
		
    	let divTitleDialog = $( "div[aria-describedby='dialogTramitacion'] .ui-dialog-title" );
    	
    	let tramiteExpSelecionado =$("#tramitacion").rup_table("getSelectedRows");
    	
    	let data = {tramiteTareaDtoFilter:{tramitesExpediente : {}}};    	
    	data.tramiteTareaDtoFilter.tramitesExpediente.idTramiteExp10 =tramiteExpSelecionado.idTramiteExp10;
    	data.tramiteTareaDtoFilter.tramitesExpediente.expediente = tramiteExpSelecionado.expediente;
		//Seteamos en tipo de accion en el formulario
    	data.idTarea = $("#tramitacion").rup_table("getSelectedRows").maestroTramites.idTramite37;

    	data = JSON.stringify(data);
    	
        let ajaxData = {
               'url': $.rup.CTX_PATH + 'tramitesexpediente/getTrEstudioDoc',
    	       'type': 'POST',
    	       'data': data,
    	       'contentType': 'application/json',
    	       'dataType': 'json',
    	       success: function (data) {
    	    	   if(data != undefined && data.tramitesExpediente != undefined && data.tramitesExpediente.expediente != null){
    	    		   
    	    		   //Desbloqueamos los inputs por si se ha abierto otro tramite de solo lectura anteriormente    	    		   
    	    		   $("#comentarios").prop("disabled", false)    	    		   
    	    		   Ad74aUtils.FN_desBloquearInputsFormulario("formularioTareaTramite1");
    	    		   Ad74aUtils.FN_desBloquearInputsFormulario("formularioTareaTramite2");
    	    		   Ad74aUtils.FN_desBloquearInputsFormulario("formularioTareaTramite3");
    	    		   Ad74aUtils.FN_desBloquearInputsFormulario("formularioTareaTramite4");
    	    		   
    	    		   //Limpiamos el feedback
    	    		   if($("#dialogTramitacion").find('.error').length > 0){
	    	    		   $("#rup_feedback_dialogTramitacion").rup_feedback('close');
    	    		   }

    	    		   
    	    		   //nos aseguramos de borrar todo
    	    		   Ad74aUtils.limpiarErroresValidacionEnFormulario('formularioTareaTramiteComun');
    	    		   Ad74aUtils.limpiarErroresValidacionEnFormulario('formularioTareaTramite1');
    	    		   Ad74aUtils.limpiarErroresValidacionEnFormulario('formularioTareaTramite2');
    	    		   Ad74aUtils.limpiarErroresValidacionEnFormulario('formularioTareaTramite3');
    	    		   Ad74aUtils.limpiarErroresValidacionEnFormulario('formularioTareaTramite4');
    	    		   
    	    		   
    	    		   let expediente = data.tramitesExpediente.expediente;
    	    		   let tareaTramite = data.tramitesExpediente.tareaTramite;
    	    		   
    	    		   //Titulo
    	    		   let tipoTramiteDesc = data.tramitesExpediente.maestroTramites.desc ;
    	    		   //Controlamos el titulo para los tramites de estudio por aportación Subsanacion
    	    		   if( data.tramitesExpediente.maestroTramites.idTramite37 == idtramiteEstudioDocumentacion && data.tramitesExpediente.tipoEstudioDoc10 == tipoEstudioDoc10EstudioDocumentacionAportacionSubsanacion){
    	    			   tipoTramiteDesc = $.rup.i18n.app.tramites.estudioDocAportacionSubsanacion;	
    	    		   }
    	    		   divTitleDialog.html(tipoTramiteDesc +  ' / '+ expediente.numExpediente00 + ' / ' + expediente.solicitantes.identificador01 );

    	    		   
    	    		   
    	    		   //Tabla datos economicos 
    	    		   let fRealizacion =(function(){ try { return data.tramitesExpediente.fRealizacion10;} catch { return null}})()
    	    		   let editable = fRealizacion == undefined || fRealizacion == null;
    	    		   
    	    		   if(data.tramitesExpediente.tareaTramite.datosTareaEstudioInforme != null){
    	    				
    	    			    //Inicio datos comunes
    	    				let datosTareaEstudio = data.tramitesExpediente.tareaTramite.datosTareaEstudioInforme;
    	    				
    	    				
    	    				$("#fInicio10_tramitacion_dialog").val(data.tramitesExpediente.fInicio10 );    	    				
    	    				$("#fRealizacion10_tramitacion_dialog").val(data.tramitesExpediente.fRealizacion10);
    	    				$("#estado_tramitacion_dialog").val(data.tramitesExpediente.descEstado10 );
    	    				$("#comentarios").val(data.tramitesExpediente.observaciones10);
    	    				
    	    				
    	    				
    	    				
    	    				$("#resultadoEstudio00").val(datosTareaEstudio.resultadoEstudio);
    	    				$("#resultadoEstudio00").rup_combo("refresh"); // Sino no se actualiza el valor visible en el combo con el valor del input
    	    				FN_resultadoEstudio00_onLoad(); //Sino no ejecuta el onload
    	    				FN_resultadoEstudio00_change(); //Sino no ejecuta el onchange
    	    				
    	    				
    	    				$("#tramitesExpediente_tareaTramite_maestroTareas_idTarea38").val(datosTareaEstudio.idTarea);
    	    				$("#tramitesExpediente_tareaTramite_idTareaTram11").val(datosTareaEstudio.idTareaTramite);
    	    				$("#tramitesExpediente_expediente_idProcedimiento00").val(datosTareaEstudio.idProcedimiento00 );
    	    				$('#tramitesExpediente_idTramiteExp10').val(datosTareaEstudio.tramitesExpediente.idTramiteExp10); 
    	    				$('#tramitesExpediente_tareaTramite_tipoEstudioDoc10').val(datosTareaEstudio.tramitesExpediente.tipoEstudioDoc10);
    	    				
    	    				$("#situacioneFinalTarea").rup_combo("setSource",$.rup.CTX_PATH + 'combo/situacioneFinalTarea?idProcedimiento00='+expedienteJSON.idProcedimiento00 + '&tipoEstudioDoc10=' + $("#tramitesExpediente_tareaTramite_tipoEstudioDoc10").val()+ '&idExpediente=' + expedienteJSON.idExpediente00 + '&tramiteCerrado=' + ($("#fRealizacion10_tramitacion_dialog").val() != '') );
    	    				$("#situacioneFinalTarea").attr("valorACargar",datosTareaEstudio.situacioneFinalTarea);
    	    				$("#situacioneFinalTarea").rup_combo("refresh");// Sino no se actualiza el valor visible en el combo con el valor del input
    	    				
    	    				
    	    				//FIN datos comunes
    	    				
    	    				//	Inicio datos solicitud informe

	    					$("#fSolInforme_tramitesExpedientes").val(datosTareaEstudio.fSolInforme);	
    	    				//	Fin datos solicitud informe
    	    				
   	    				 	//Inicio datos No solicitud informe
	    					$("#fRechazoInforme_tramitesExpedientes").val(datosTareaEstudio.fRechazoInforme);
	    					$("#textMotivoDenegacion_tramitesExpedientes").val(datosTareaEstudio.textMotivoDenegacion);
	    					if(datosTareaEstudio.motivoRechazo != undefined && datosTareaEstudio.motivoRechazo !=  null ){
	    	    				for (i=0;i<datosTareaEstudio.motivoRechazo.length;i++) { 
	    	    				    $("#motivoRechazo"+ datosTareaEstudio.motivoRechazo[i] +"_detail_table").prop( "checked", true );	
	    	    				}
	    		   			}
    	    				//Inicio datos No solicitud informe
    	    					
	    					//Inicio datos Subsanacion
	    					$("#fSubsanacion_tramitesExpedientes").val(datosTareaEstudio.fSubsanacion);   

	    					$("#textReq_tramitesExpedientes").val(datosTareaEstudio.textReq);
	    					if(datosTareaEstudio.motivoRequerimientos != undefined && datosTareaEstudio.motivoRequerimientos !=  null ){
	    	    				for (i=0;i<datosTareaEstudio.motivoRequerimientos.length;i++) { 
	    	    				    $("#motivo"+ datosTareaEstudio.motivoRequerimientos[i] +"_detail_table").prop( "checked", true );	
	    	    				}
	    		   			}
   	    				 	//Fin datos Subsanacion
	    					
	    					
	    					
    	    		   }else{
        	    		   
        	    		   //Poblamos los formualrios si no se habia guardado nada
    	    			   let dataArray = $.rup_utils.jsontoarray(data)
        	    		   $.rup_utils.populateForm(dataArray, "#formularioTareaTramiteComun");
        	    		   $.rup_utils.populateForm(dataArray, "#formularioTareaTramite1");
        	    		   $.rup_utils.populateForm(dataArray, "#formularioTareaTramite2");
        	    		   $.rup_utils.populateForm(dataArray, "#formularioTareaTramite3");
        	    		   $.rup_utils.populateForm(dataArray, "#formularioTareaTramite4");
        	    		   
        	    		   $("#situacioneFinalTarea").rup_combo("setSource",$.rup.CTX_PATH + 'combo/situacioneFinalTarea?idProcedimiento00='+expedienteJSON.idProcedimiento00 + '&tipoEstudioDoc10=' + $("#tramitesExpediente_tareaTramite_tipoEstudioDoc10").val()+ '&idExpediente=' + expedienteJSON.idExpediente00 + '&tramiteCerrado=' + ($("#fRealizacion10_tramitacion_dialog").val() != '') );
     	    			       					
        	    		   if(tareaTramite != null){
            	    		   if(tareaTramite.estadoDocumentacion11 != null || tareaTramite.estadoDocumentacion11 != undefined){
            	    			   $('#estadoDocumentacion').rup_combo("setRupValue",tareaTramite.estadoDocumentacion11);
            	    		   }

            	    		   $('#tramitesExpediente_idTramiteExp10').val(tareaTramite.tramitesExpediente.idTramiteExp10);
            	    		   $('#tramitesExpediente_tareaTramite_idTareaTram11').val(tareaTramite.idTareaTram11);
            	    		   $('#tramitesExpediente_expediente_idProcedimiento00').val($("#idProcedimiento00").val());
    	       		  	    	
        	    		   }
    	    		   }

    	    		   //Cargamos la tabla de documentos
    	    		   if( editable){
    	    			   //Si no esta cerrado lo cargamos de los que recuperamos de platea
    	    			   $("#documentListStringify_filter_doc_table_from").val(data.documentosAportados);   
    	    		   }else if(data.tramitesExpediente.tareaTramite.datosTareaEstudioInforme != null){
    	    			   //Si esta cerrado lo cargamos de los datos guardados en la tarea
    	    			   $("#documentListStringify_filter_doc_table_from").val(data.tramitesExpediente.tareaTramite.datosTareaEstudioInforme.documentosAportados);
    	    		   }
    	    		   
	    			   cargarDocumentosAportados();
    	    		   	    			   
    	    		   //si ha finalizado deshabilitar,solo lectura
        	    	   if( data.tramitesExpediente.fRealizacion10!= null){ 
        	    		   Ad74aUtils.FN_bloquearInputsFormulario("formularioTareaTramiteComun");
        	    		   Ad74aUtils.FN_bloquearInputsFormulario("formularioTareaTramite1");
        	    		   Ad74aUtils.FN_bloquearInputsFormulario("formularioTareaTramite2");
        	    		   Ad74aUtils.FN_bloquearInputsFormulario("formularioTareaTramite3");
        	    		   Ad74aUtils.FN_bloquearInputsFormulario("formularioTareaTramite4");
        	    		    	    		   
        	    		   $("div[aria-describedby='dialogTramitacion'] button:not(#rup_dialogCancelar)").prop("disabled",true);
        	    	   }

    	    	   }

    	    	   $("#tramitacion_processing").hide();
    	    	   
	    	       	
	    	       	Ad74aUtils.establecerComoValoresPorDefecto("formularioTareaTramiteComun");
    				Ad74aUtils.establecerComoValoresPorDefecto("formularioTareaTramite1");
    				Ad74aUtils.establecerComoValoresPorDefecto("formularioTareaTramite2");
    				Ad74aUtils.establecerComoValoresPorDefecto("formularioTareaTramite3");
    				Ad74aUtils.establecerComoValoresPorDefecto("formularioTareaTramite4");
    				
    	    	   
    	    	   $('#dialogTramitacion').rup_dialog('open');

    	       },
    	       error: function (error) {
    	    	   Ad74aUtils.desBloquearInterfaz();  
    	    	   $("#tramitacion_processing").hide();
    	    	   if(!refresh){
    	    		   $('#dialogTramitacion').rup_dialog('close');
    	    	   }
    	    	   $("#rup_feedback_tramitacion").rup_feedback('set',error.responseJSON,"error");
    	       }
         	};
        $.rup_ajax(ajaxData);
   }
	

	

	
	const prepareDataEstudioDoc =  () => {
		
		$("#rup_feedback_dialogTramitacion").rup_feedback ({
			type: "ok",
			block: false
		});

		
		//Validaciones 		
		 jQuery.validator.addMethod("resolConcesion", function(value, element,a) {
			 if($("#situacioneFinalTarea").rup_combo("getRupValue") ==  situacioneFinalTareaResolucionConcesionVal){
				 if($("#resultadoEstudio00").rup_combo("getRupValue") == estadoDocumentacion11CompletaVal){
					 return true
				 }else{
					 return false;
				 }
			 };
			 
			 return true;
		 },$.rup.i18n.base.rup_validate.messages.required);
		 
		 jQuery.validator.addMethod("motivoRechazo", function(value, element,a) {
			 if($("#situacioneFinalTarea").rup_combo("getRupValue") ==  situacioneFinalTareaNoSolicitarInformeVal){
				 if(! ($("input[name^='datosTareaEstudioInforme.motivoRechazo']:checked").length > 0)){
					 $("#rup_feedback_dialogTramitacion").rup_feedback('set'
							 ,"</div><div id='rup_feedback_dialogTramitacion_content'><ul class='rup-maint_feedbackUL'>" +  $.rup.i18nParse($.rup.i18n.base, 'rup_jqtable.validateError') + "<br><li><b>" + $.rup.i18n.app.estudioDocInforme.motivoRechazo + ":</b><ul><li>" + $.rup.i18n.base.rup_validate.messages.required + "</li></ul></li></ul>"
							 , 'error' );
					 return false;
				 }
				 return true;
			 };
		 },$.rup.i18n.base.rup_validate.messages.required);
		
		 jQuery.validator.addMethod("requerimientos", function(value, element,a) {
			 if($("#situacioneFinalTarea").rup_combo("getRupValue") ==  situacioneFinalTareaRequerimientoSubsanacionVal ){
				 if(! ($("input[name^='datosTareaEstudioInforme.motivoRequerimientos']:checked").length > 0)){
					 $("#rup_feedback_dialogTramitacion").rup_feedback('set'
							 ,"</div><div id='rup_feedback_dialogTramitacion_content'><ul class='rup-maint_feedbackUL'>" +  $.rup.i18nParse($.rup.i18n.base, 'rup_jqtable.validateError') + "<br><li><b>" + $.rup.i18n.app.estudioDocInforme.requerimientos + ":</b><ul><li>" + $.rup.i18n.base.rup_validate.messages.required + "</li></ul></li></ul>"
							 , 'error' );
					 return false;
				 }
				 return true;
			 };
		 },$.rup.i18n.base.rup_validate.messages.required);
		 
		 var properties={
					feedback:$("#rup_feedback_dialogTramitacion"),
					liveCheckingErrors: false,
					showFieldErrorAsDefault: true,
					showErrorsInFeedback: true,
					showFieldErrorsInFeedback: true,
					rules:{
					      "tramitesExpediente.expediente.exencionRes00":{ "resolConcesion" : true}
					}
		 };	

		$("#formularioTareaTramiteComun").rup_validate(properties);
		$("#formularioTareaTramite1").rup_validate(properties);
		$("#formularioTareaTramite2").rup_validate(properties);
		$("#formularioTareaTramite3").rup_validate(properties);
		$("#formularioTareaTramite4").rup_validate(properties);
		
		
		$("#resultadoEstudio00").rup_combo({
			loadFromSelect:true,
			width: 'auto',
	        ordered: false,
			customClasses: ['select-material'],
			rowStriping: true,
			blank:'',
			onLoadSuccess: function(obj){
				FN_resultadoEstudio00_onLoad();
			},
			change: function(obj){
				FN_resultadoEstudio00_change();
			}
		});
		
		$("#situacioneFinalTarea").rup_combo({
			source: $.rup.CTX_PATH + 'combo/situacioneFinalTarea?idProcedimiento00='+expedienteJSON.idProcedimiento00 + '&tipoEstudioDoc10=' + $("#tramitesExpediente_tareaTramite_tipoEstudioDoc10").val()+ '&idExpediente=' + expedienteJSON.idExpediente00 + '&tramiteCerrado=' + ($("#fRealizacion10_tramitacion_dialog").val() != ''),
			sourceParam: {label: "descripcion", value:"value"},
			loadFromSelect:false,
			width: 'auto',
	        ordered: false,
			customClasses: ['select-material'],
			rowStriping: true,
			blank:'',
			change: FN_situacioneFinalTarea_change,
			onLoadSuccess: function(obj){
				if($("#situacioneFinalTarea").val() != null && $("#situacioneFinalTarea").val()!= undefined && $("#situacioneFinalTarea").val() != ''){
					$("#situacioneFinalTarea").rup_combo("setRupValue",$("#situacioneFinalTarea").val());
				}else if($("#situacioneFinalTarea").attr("valorACargar") != null && $("#situacioneFinalTarea").attr("valorACargar")!= undefined && $("#situacioneFinalTarea").attr("valorACargar") != ''){
					$("#situacioneFinalTarea").rup_combo("setRupValue",$("#situacioneFinalTarea").attr("valorACargar"));
				}
				FN_situacioneFinalTarea_change();
				let editable = $("#fRealizacion10_tramitacion_dialog").val() == undefined || $("#fRealizacion10_tramitacion_dialog").val() == null || $("#fRealizacion10_tramitacion_dialog").val() == ''  ;
				if(!editable){
					$("#situacioneFinalTarea").rup_combo("disable");
				}else{
					$("#situacioneFinalTarea").rup_combo("enable");
				}
			}
		});

		$('#fSubsanacion_tramitesExpedientes').rup_date({
			mask: 'dd/mm/yyyy',
			showButtonPanel : true,
			showOtherMonths : true,
			disabled : false
		});
		$('#fRechazoInforme_tramitesExpedientes').rup_date({
			mask: 'dd/mm/yyyy',
			showButtonPanel : true,
			showOtherMonths : true,
			disabled : false
		});
		$('#fSolInforme_tramitesExpedientes').rup_date({
			mask: 'dd/mm/yyyy',
			showButtonPanel : true,
			showOtherMonths : true,
			disabled : false
		});
	}
	

	window.guardarTarea = (tipoTramite)  => { 
		
		let tipoResol = $("#situacioneFinalTarea").rup_combo("getRupValue");
		
		if( tipoTramite == 'guardar' || 
				($("#formularioTareaTramiteComun").valid() &&  $("#formularioTareaTramite1").valid()
					&& (
						(  tipoResol == situacioneFinalTareaRequerimientoSubsanacionVal && $("#formularioTareaTramite4").valid() && $.validator.methods.requerimientos() ) 
						|| ( tipoResol == situacioneFinalTareaNoSolicitarInformeVal && $("#formularioTareaTramite3").valid() && $.validator.methods.motivoRechazo())
						|| ( tipoResol == situacioneFinalTareaSolicitarInformeVal && $("#formularioTareaTramite2").valid() 
						|| ( tipoResol == situacioneFinalTareaNoHacerNadaVal ) ) 
					)
				)
			){
			
			//Limpiamos los otros datos del formulario
			if(tipoResol == situacioneFinalTareaNoSolicitarInformeVal){
				$("#formularioTareaTramite2").rup_form("clearForm");
				$("#formularioTareaTramite4").rup_form("clearForm");
			} else if( tipoResol == situacioneFinalTareaSolicitarInformeVal ){
				$("#formularioTareaTramite3").rup_form("clearForm");
				$("#formularioTareaTramite4").rup_form("clearForm");
			} else if(tipoResol == situacioneFinalTareaRequerimientoSubsanacionVal ){
				$("#formularioTareaTramite2").rup_form("clearForm");
				$("#formularioTareaTramite3").rup_form("clearForm");
			}else if(tipoResol == situacioneFinalTareaNoHacerNadaVal ){
				$("#formularioTareaTramite2").rup_form("clearForm");
				$("#formularioTareaTramite3").rup_form("clearForm");
				$("#formularioTareaTramite4").rup_form("clearForm");
			}
			
			
				
			let url = '../../tramitesexpediente/guardarTarea';
			
			let data = {}; 
			
			let formC = $("#formularioTareaTramiteComun").rup_form("formToJson") ;
			let form1 = $("#formularioTareaTramite1").rup_form("formToJson") ;
			let form2 = $("#formularioTareaTramite2").rup_form("formToJson") ;
			let form3 = $("#formularioTareaTramite3").rup_form("formToJson") ;
			let form4 = $("#formularioTareaTramite4").rup_form("formToJson") 
			data.TramiteTareaDto = $.extend( true,formC, form1, form2, form3, form4 );
			
			data.TramiteTareaDto.tramitesExpediente.expediente.idMotivoBaja00= $("#idMotivoBaja00_tramitesExpedientes").val();
			data.TramiteTareaDto.tramitesExpediente.expediente.fBaja00= $("#fConcesionBaja_tramitesExpedientes").val();
			data.TramiteTareaDto.tramitesExpediente.expediente.observaciones00= $("#observaciones00_tramitesExpedientes").val();
			if(data.TramiteTareaDto.datosTareaEstudioInforme == undefined){
				data.TramiteTareaDto.datosTareaEstudioInforme = {}
			}			
			data.TramiteTareaDto.datosTareaEstudioInforme.fDenegacionBaja = $("#fDenegacion_tramitesExpedientes").val();	
			   
			data.TramiteTareaDto.tipoTramite = tipoTramite;
						
			data.TramiteTareaDto.tramitesExpediente.expediente.idExpediente00 = idExpediente00;
	
			//Borramos los input generados por los checks
			delete data.TramiteTareaDto._tramitesExpediente;
			
			//Pasamos los datos al objeto datosTareaEstudio para su guardado y cargado. 			
			if(data.TramiteTareaDto.datosTareaEstudio == undefined){
				data.TramiteTareaDto.datosTareaEstudio = {};
			}
			let datosTareaEstudio = data.TramiteTareaDto.datosTareaEstudio;
			
			if(data.TramiteTareaDto.tramitesExpediente != undefined){
				datosTareaEstudio.tramitesExpediente = {};
				datosTareaEstudio.tramitesExpediente.idTramiteExp10 = data.TramiteTareaDto.tramitesExpediente.idTramiteExp10;
				datosTareaEstudio.tramitesExpediente.fInicio10 = data.TramiteTareaDto.tramitesExpediente.fInicio10;
				datosTareaEstudio.tramitesExpediente.fRealizacion10 = data.TramiteTareaDto.tramitesExpediente.fRealizacion10;
				datosTareaEstudio.tramitesExpediente.idEstado10 = data.TramiteTareaDto.tramitesExpediente.idEstado10;
				datosTareaEstudio.tramitesExpediente.observaciones10 = data.TramiteTareaDto.tramitesExpediente.observaciones10;
				datosTareaEstudio.tramitesExpediente.tipoEstudioDoc10 = data.TramiteTareaDto.tramitesExpediente.tipoEstudioDoc10;
				
				if( data.TramiteTareaDto.tramitesExpediente.expediente != undefined){
					datosTareaEstudio.expediente = {};
					datosTareaEstudio.expediente.fResolucion00 = data.TramiteTareaDto.tramitesExpediente.expediente.fResolucion00;
				}
				
				if( data.TramiteTareaDto.tramitesExpediente.tareaTramite != undefined && data.TramiteTareaDto.tramitesExpediente.tareaTramite.maestroTareas != undefined){
					datosTareaEstudio.idTarea = data.TramiteTareaDto.tramitesExpediente.tareaTramite.maestroTareas.idTarea38;
					datosTareaEstudio.idTareaTramite = data.TramiteTareaDto.tramitesExpediente.tareaTramite.idTareaTram11;
					datosTareaEstudio.idProcedimiento00 = data.TramiteTareaDto.tramitesExpediente.expediente.idProcedimiento00;
				}
				
			}
			
			if(data.TramiteTareaDto.datosTareaEstudio != undefined && data.TramiteTareaDto.datosTareaEstudio != null){
				datosTareaEstudio.resultadoEstudio00 = data.TramiteTareaDto.datosTareaEstudio.resultadoEstudio;
				datosTareaEstudio.situacioneFinalTarea = data.TramiteTareaDto.datosTareaEstudio.situacioneFinalTarea;
			}
			

			if(data.TramiteTareaDto.datosTareaEstudioInforme != undefined && data.TramiteTareaDto.datosTareaEstudioInforme != null){

				//	Inicio datos solicitud informe
				datosTareaEstudio.fSolInforme = data.TramiteTareaDto.fSolInforme;	
				//	Fin datos solicitud informe
				
			 	//Inicio datos No solicitud informe
				datosTareaEstudio.fRechazoInforme = data.TramiteTareaDto.fRechazoInforme;
				datosTareaEstudio.textMotivoDenegacion = data.TramiteTareaDto.textMotivoDenegacion;
				datosTareaEstudio.motivoRechazo = data.TramiteTareaDto.datosTareaEstudioInforme.motivoRechazo;
				//Inicio datos No solicitud informe
					
				//Inicio datos Subsanacion
				datosTareaEstudio.fSubsanacion = data.TramiteTareaDto.fSubsanacion;
				datosTareaEstudio.textReq = data.TramiteTareaDto.datosTareaEstudioInforme.textReq;
				datosTareaEstudio.motivoRequerimientos = data.TramiteTareaDto.datosTareaEstudioInforme.motivoRequerimientos;			
			 	//Fin datos denegacion
			}
			
			datosTareaEstudio.documentosAportados = $("#documentListStringify_filter_doc_table_from").val();
			
			
			data.TramiteTareaDto.datosTareaEstudioInforme = datosTareaEstudio;
			
			data = JSON.stringify(data);
			
			
		    let ajaxData = {
		            'url': url,
		    	       'type': 'POST',
		    	       'data': data,
		    	       'contentType': 'application/json',
		    	       'dataType': 'json',
		    	       success: function (data) {
		    	    	   Ad74aUtils.desBloquearInterfaz();
		    	    	   if(data != undefined && data === 'ok'){
		    	    		   //let msg = 'Gurdado con éxito';
		    	    		   let msg = $.rup.i18n.app.tramitacion.guardadoOk;
		    	    		   if(tipoTramite == 'tramitar'){
		    	    			   msg = $.rup.i18n.app.tramitacion.tramitadoOk;
		    	    		   }
		    	    		   $("#tramitacion").rup_table('reload');
		    	    		   $('#dialogTramitacion').rup_dialog('close');
		    	    		   $("#rup_feedback_tramitacion").rup_feedback('set',msg,"ok");
		    	    	   }
		    	       },
		    	       error: function (error) {
		    	       	Ad74aUtils.desBloquearInterfaz();
		    	    	$("#rup_feedback_dialogTramitacion").rup_feedback('set',error.responseJSON,"error");
		    	       }
		     	};
	    
	    	Ad74aUtils.bloquearInterfaz();
	    	$.rup_ajax(ajaxData);
	    }
	}
	
});